# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: bzlib-devel gcc-c++ libGLU-devel libX11-devel libXxf86vm-devel libglvnd-devel libjpeg-devel libpng-devel pkgconfig(CEGUI-0-IRRLICHT) zlib-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           voxelands
Version:        1709.00
Release:        alt1_4
Summary:        The fun-focused free software voxel world game
Group:          Games/Other
License:        GPLv3+
URL:            http://www.voxelands.com/
# https://gitlab.com/voxelands/voxelands/tags
Source0:        %{name}-%{version}.tar.xz
Patch0:         voxelands-1709.00-mga-games-and-locale-install-paths.patch
Patch1:         voxelands-1409.00-mga-desktop-file.patch
# https://gitlab.com/voxelands/voxelands/merge_requests/109
Patch2:         0001-CMake-Fix-include-path-for-out-of-source-build.patch

BuildRequires:  cmake
BuildRequires:  gettext gettext-tools
BuildRequires:  libirrlicht-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(jthread)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbis)
Source44: import.info

%description
Voxelands (formerly a.'Minetest-Classica.') is a fork of Minetest-C55, aiming
to return Minetest to the speedy game it was once known as, while fixing
bugs and continuing to add features and functionality. It aims to be a fast,
polished 3D sandbox voxel world game, rather than just a base for modding.

Voxelands features hundreds of blocks, official and player-run servers,
a growing community and rapid development.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%{mageia_cmake} \
       -DRUN_IN_PLACE=0 \
       -DENABLE_FREETYPE=1 \
       -DBUILD_SHARED_LIBS=OFF \
       -DJTHREAD_INCLUDE_DIR=%{_includedir}/jthread
%mageia_cmake_build

%install
%mageia_cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.txt doc/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-server
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}*.6*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1709.00-alt1_4
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1709.00-alt1_3
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1709.00-alt1_2
- update by mgaimport

* Sun Mar 11 2018 Igor Vlasenko <viy@altlinux.ru> 1709.00-alt1_1
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 1704.00-alt1_1
- update by mgaimport

* Tue Mar 28 2017 Cronbuild Service <cronbuild@altlinux.org> 1608.01-alt2_1
- rebuild to get rid of unmets

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 1608.01-alt1_1
- update by mgaimport

* Tue Jun 14 2016 Igor Vlasenko <viy@altlinux.ru> 1602.00-alt1_1
- converted for ALT Linux by srpmconvert tools

